- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ nexus_name }}"
      namespace: "{{ namespace }}"
    policy_name: "{{ nexus_name }}-to-{{ squid_name | default('squid') }}"
    policy_namespace: "{{ squid_namespace | default(namespace) }}"
    policy_state: "{{ 'present' if (squid_address | default(False)
                                    and do_network_policy)
                                else 'absent' }}"
    subject: "{{ squid_name | default('squid') }}"
    to:
    - number: "8080"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ nexus_name }}"
      namespace: "{{ namespace }}"
    policy_name: "{{ nexus_name }}-to-{{ ldap_name | default('ldap') }}"
    policy_namespace: "{{ ldap_namespace | default(namespace) }}"
    policy_state: "{{ 'present' if (do_ldap
                                    and do_network_policy)
                                else 'absent' }}"
    subject: "{{ ldap_name | default('ldap') }}"
    to:
    - number: "1389"
    - number: "1636"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ nexus_name }}"
      namespace: "{{ namespace }}"
    policy_name: "{{ nexus_name }}-to-{{ lemon_name | default('lemon') }}"
    policy_namespace: "{{ ldap_namespace | default(namespace) }}"
    policy_state: "{{ 'present' if (do_lemon
                                    and do_network_policy)
                                else 'absent' }}"
    subject: "{{ lemon_name | default('lemon') }}"
    to:
    - number: "8080"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ nexus_name }}"
      namespace: "{{ namespace }}"
    policy_name: "{{ nexus_name }}-to-s3"
    policy_namespace: "{{ (minio_namespace | default('minio'))
                            if (minio_api_address | default(False))
                            else ((rgw_namespace | default('radosgw'))
                                  if (radosgw_api_address | default(False))
                                  else namespace) }}"
    policy_state: "{{ 'present' if (do_network_policy
                                    and (minio_api_address | default(False)
                                         or radosgw_api_address | default(False))
                                    and do_s3)
                                else 'absent' }}"
    subject: "{{ (minio_name | default('s3')) if (minio_api_address | default(False))
                                              else (rgw_name | default('s3')) }}"
    to:
    - number: "{{ 9000 if (minio_api_address | default(False))
                       else 8080 }}"
- include_role:
    name: commons
    tasks_from: helpers/volume.yaml
  vars:
    vol_name: "{{ nexus_name }}"
    vol_size: "{{ nexus_data_capacity }}"
- include_role:
    name: commons
    tasks_from: helpers/deployment.yaml
  vars:
    cpu_limit: "{{ nexus_cpu_limit }}"
    cpu_request: "{{ nexus_cpu_request }}"
    memory_limit: "{{ nexus_memory_limit }}"
    memory_request: "{{ nexus_memory_request }}"
    dc_data: "{{ lookup('template', 'nexus.j2') }}"
    dc_name: "{{ nexus_name }}"
    dc_replicas: "{{ nexus_replicas }}"
    dc_tag: "{{ nexus_tag }}"
    exporter_idx: 1
    exporter_tag: "{{ nexusexporter_tag }}"
- include_role:
    name: commons
    tasks_from: helpers/service.yaml
  vars:
    ports:
    - 8081
    svc_name: "{{ nexus_name }}"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - namespace: "{{ default_namespace_match }}"
    policy_name: "public-to-{{ nexus_name }}"
    policy_state: "{{ 'present' if (do_network_policy)
                                else 'absent' }}"
    subject: "{{ nexus_name }}"
    to:
    - number: "8081"
- include_role:
    name: commons
    tasks_from: helpers/service.yaml
  vars:
    is_exporter: True
    ports:
    - 9184
    svc_name: "{{ nexus_name }}"
    svc_state: "{{ 'present' if (do_exporters)
                             else 'absent' }}"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - namespace: "{{ prometheus_namespace_match }}"
    policy_name: "prometheus-to-{{ nexus_name }}"
    policy_state: "{{ 'present' if (do_exporters
                                    and do_network_policy)
                                else 'absent' }}"
    subject: "{{ nexus_name }}"
    to:
    - number: "9184"
- include_role:
    name: commons
    tasks_from: helpers/route.yaml
  vars:
    route_body_max_size: 80
    route_custom_timeout: 1m
    route_host: "{{ nexus_fqdn }}"
    route_name: "{{ nexus_name }}"
    svc_name: "{{ nexus_name }}"
- include_role:
    name: commons
    tasks_from: helpers/wait-for.yaml
  vars:
    check_with: "{{ lookup('k8s', api_version=deployment_apivers,
                           kind=deployment_kind, namespace=namespace,
                           resource_name=nexus_name) | default('') }}"
    obj_name: "{{ nexus_name }}"
    retries_for: 160
    wait_for: 10
